Import statement
curl --request POST \
--url https://api.lapyme.com.ar/api/v1/statements \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'Idempotency-Key: <idempotency-key>' \
--data '
{
"bank_account_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"period_start": "2023-12-25",
"period_end": "2023-12-25",
"opening_balance": 123,
"closing_balance": 123,
"lines": [
{
"external_id": "<string>",
"date": "2023-12-25",
"description": "<string>",
"amount": 123,
"reference": "<string>",
"running_balance": 123
}
],
"source": "normalized"
}
'import requests
url = "https://api.lapyme.com.ar/api/v1/statements"
payload = {
"bank_account_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"period_start": "2023-12-25",
"period_end": "2023-12-25",
"opening_balance": 123,
"closing_balance": 123,
"lines": [
{
"external_id": "<string>",
"date": "2023-12-25",
"description": "<string>",
"amount": 123,
"reference": "<string>",
"running_balance": 123
}
],
"source": "normalized"
}
headers = {
"Idempotency-Key": "<idempotency-key>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
'Idempotency-Key': '<idempotency-key>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
bank_account_id: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
period_start: '2023-12-25',
period_end: '2023-12-25',
opening_balance: 123,
closing_balance: 123,
lines: [
{
external_id: '<string>',
date: '2023-12-25',
description: '<string>',
amount: 123,
reference: '<string>',
running_balance: 123
}
],
source: 'normalized'
})
};
fetch('https://api.lapyme.com.ar/api/v1/statements', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.lapyme.com.ar/api/v1/statements",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'bank_account_id' => '3c90c3cc-0d44-4b50-8888-8dd25736052a',
'period_start' => '2023-12-25',
'period_end' => '2023-12-25',
'opening_balance' => 123,
'closing_balance' => 123,
'lines' => [
[
'external_id' => '<string>',
'date' => '2023-12-25',
'description' => '<string>',
'amount' => 123,
'reference' => '<string>',
'running_balance' => 123
]
],
'source' => 'normalized'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json",
"Idempotency-Key: <idempotency-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.lapyme.com.ar/api/v1/statements"
payload := strings.NewReader("{\n \"bank_account_id\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"period_start\": \"2023-12-25\",\n \"period_end\": \"2023-12-25\",\n \"opening_balance\": 123,\n \"closing_balance\": 123,\n \"lines\": [\n {\n \"external_id\": \"<string>\",\n \"date\": \"2023-12-25\",\n \"description\": \"<string>\",\n \"amount\": 123,\n \"reference\": \"<string>\",\n \"running_balance\": 123\n }\n ],\n \"source\": \"normalized\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Idempotency-Key", "<idempotency-key>")
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.lapyme.com.ar/api/v1/statements")
.header("Idempotency-Key", "<idempotency-key>")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"bank_account_id\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"period_start\": \"2023-12-25\",\n \"period_end\": \"2023-12-25\",\n \"opening_balance\": 123,\n \"closing_balance\": 123,\n \"lines\": [\n {\n \"external_id\": \"<string>\",\n \"date\": \"2023-12-25\",\n \"description\": \"<string>\",\n \"amount\": 123,\n \"reference\": \"<string>\",\n \"running_balance\": 123\n }\n ],\n \"source\": \"normalized\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.lapyme.com.ar/api/v1/statements")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Idempotency-Key"] = '<idempotency-key>'
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"bank_account_id\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"period_start\": \"2023-12-25\",\n \"period_end\": \"2023-12-25\",\n \"opening_balance\": 123,\n \"closing_balance\": 123,\n \"lines\": [\n {\n \"external_id\": \"<string>\",\n \"date\": \"2023-12-25\",\n \"description\": \"<string>\",\n \"amount\": 123,\n \"reference\": \"<string>\",\n \"running_balance\": 123\n }\n ],\n \"source\": \"normalized\"\n}"
response = http.request(request)
puts response.read_body{
"request_id": "<string>",
"data": {
"object": "statement",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"bank_account_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"period_start": "2023-12-25",
"period_end": "2023-12-25",
"opening_balance": 123,
"closing_balance": 123,
"currency": "ARS",
"source": "spreadsheet",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}
}Import statement
Store pending normalized source lines or import a Mercado Pago release report. Signed amounts and balances are native integer cents. Check continuity and the complete balance chain; no accounting records are created.
POST
/
api
/
v1
/
statements
Import statement
curl --request POST \
--url https://api.lapyme.com.ar/api/v1/statements \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'Idempotency-Key: <idempotency-key>' \
--data '
{
"bank_account_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"period_start": "2023-12-25",
"period_end": "2023-12-25",
"opening_balance": 123,
"closing_balance": 123,
"lines": [
{
"external_id": "<string>",
"date": "2023-12-25",
"description": "<string>",
"amount": 123,
"reference": "<string>",
"running_balance": 123
}
],
"source": "normalized"
}
'import requests
url = "https://api.lapyme.com.ar/api/v1/statements"
payload = {
"bank_account_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"period_start": "2023-12-25",
"period_end": "2023-12-25",
"opening_balance": 123,
"closing_balance": 123,
"lines": [
{
"external_id": "<string>",
"date": "2023-12-25",
"description": "<string>",
"amount": 123,
"reference": "<string>",
"running_balance": 123
}
],
"source": "normalized"
}
headers = {
"Idempotency-Key": "<idempotency-key>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
'Idempotency-Key': '<idempotency-key>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
bank_account_id: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
period_start: '2023-12-25',
period_end: '2023-12-25',
opening_balance: 123,
closing_balance: 123,
lines: [
{
external_id: '<string>',
date: '2023-12-25',
description: '<string>',
amount: 123,
reference: '<string>',
running_balance: 123
}
],
source: 'normalized'
})
};
fetch('https://api.lapyme.com.ar/api/v1/statements', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.lapyme.com.ar/api/v1/statements",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'bank_account_id' => '3c90c3cc-0d44-4b50-8888-8dd25736052a',
'period_start' => '2023-12-25',
'period_end' => '2023-12-25',
'opening_balance' => 123,
'closing_balance' => 123,
'lines' => [
[
'external_id' => '<string>',
'date' => '2023-12-25',
'description' => '<string>',
'amount' => 123,
'reference' => '<string>',
'running_balance' => 123
]
],
'source' => 'normalized'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json",
"Idempotency-Key: <idempotency-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.lapyme.com.ar/api/v1/statements"
payload := strings.NewReader("{\n \"bank_account_id\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"period_start\": \"2023-12-25\",\n \"period_end\": \"2023-12-25\",\n \"opening_balance\": 123,\n \"closing_balance\": 123,\n \"lines\": [\n {\n \"external_id\": \"<string>\",\n \"date\": \"2023-12-25\",\n \"description\": \"<string>\",\n \"amount\": 123,\n \"reference\": \"<string>\",\n \"running_balance\": 123\n }\n ],\n \"source\": \"normalized\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Idempotency-Key", "<idempotency-key>")
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.lapyme.com.ar/api/v1/statements")
.header("Idempotency-Key", "<idempotency-key>")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"bank_account_id\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"period_start\": \"2023-12-25\",\n \"period_end\": \"2023-12-25\",\n \"opening_balance\": 123,\n \"closing_balance\": 123,\n \"lines\": [\n {\n \"external_id\": \"<string>\",\n \"date\": \"2023-12-25\",\n \"description\": \"<string>\",\n \"amount\": 123,\n \"reference\": \"<string>\",\n \"running_balance\": 123\n }\n ],\n \"source\": \"normalized\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.lapyme.com.ar/api/v1/statements")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Idempotency-Key"] = '<idempotency-key>'
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"bank_account_id\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"period_start\": \"2023-12-25\",\n \"period_end\": \"2023-12-25\",\n \"opening_balance\": 123,\n \"closing_balance\": 123,\n \"lines\": [\n {\n \"external_id\": \"<string>\",\n \"date\": \"2023-12-25\",\n \"description\": \"<string>\",\n \"amount\": 123,\n \"reference\": \"<string>\",\n \"running_balance\": 123\n }\n ],\n \"source\": \"normalized\"\n}"
response = http.request(request)
puts response.read_body{
"request_id": "<string>",
"data": {
"object": "statement",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"bank_account_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"period_start": "2023-12-25",
"period_end": "2023-12-25",
"opening_balance": 123,
"closing_balance": 123,
"currency": "ARS",
"source": "spreadsheet",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}
}Authorizations
Incluí tu API key en el header Authorization con el prefijo Bearer.
Headers
Clave estable para deduplicar reintentos de la misma operación.
Body
application/json
- Option 1
- Option 2
Was this page helpful?

